# source https://sourceforge.net/projects/bleachbit/files/bleachbit/1.12/bleachbit-1.12.tar.bz2

Summary:	BleachBit deletes unnecessary files to free valuable disk space
Summary(de):	BleachBit löscht unnötige Dateien um Festplattenplatz zu "befreien"
Name:		bleachbit
Version:	1.12
Release:	%mkrel 2
Group:          File tools
License:	GPLv3
URL:		http://bleachbit.sourceforge.net/
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}-root.desktop
Source2:	%{name}-root.png
Source3:	apt.xml
Source4:	bleachbit.desktop
Patch0:		bb18.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gettext
BuildRequires:	python-devel
Requires:	gksu
Requires:	gnome-python
Requires:	gnome-python-gnomevfs
Requires:	%{_lib}mhash2
Requires:	pygtk2.0 >= 2.6
Requires:	python >= 2.6.6

%description
BleachBit deletes unnecessary files to free valuable disk space
and maintain privacy. Rid your system of old junk including cache,
temporary files, and cookies. Designed for Linux systems, it
wipes clean Bash, Beagle, Epiphany, Firefox, Adobe Flash, Java,
KDE, OpenOffice.org, Opera, rpmbuild, XChat, and more.

%description -l de
Bleachbit ist ein Systembereinigungsprogramm für Gnome, KDE und XFCE mit
dem temporäre Dateien einer Vielzahl von Anwendungen bereinigt werden können.
Das Programm bietet sicherheitshalber eine Vorschau der vorzunehmenden Änderungen.
Die Anwendung gibt es auch für andere Linux-Systeme wie Fedora, Debian,
OpenSuse, Mandriva und viele andere. Bleachbit entfernt temporäre Dateien
folgender Anwendungen.
*Adobe Reader
*APT
*Bash
*Beagle
*Epiphany
*Firefox
*Adobe Flash
*GIMP
*Google Earth
*Java
*OpenOffice.org
*Konqueror
*Skype
*Vim
*Xchat
*usw

%prep
%setup -q
%apply_patches
%__sed -i -e 's|/usr/bin/env python|/usr/bin/python|g' bleachbit/GUI.py
%__sed -i -e '/online_update_notification_enabled/ s/True/False/' bleachbit/Common.py

%build
%__make -C po local prefix=%{_prefix} libdir=%{_datadir}
%__python setup.py build

%install
%__rm -rf %buildroot
%make_install INSTALL="install -p" install prefix=%{_prefix} libdir=%{_datadir} DESTDIR=${RPM_BUILD_ROOT} install
%__sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/bleachbit/CLI.py
%__sed -i -e '/^#!\//, 1d' %{buildroot}%{_datadir}/bleachbit/GUI.py
%__install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}-root.desktop
%__install -m 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}-root.png
%__install -m 0644 %SOURCE3 %{buildroot}/%{_datadir}/%{name}/cleaners/apt.xml
%__install -m 0644 %SOURCE4 %{buildroot}/%{_datadir}/applications/%{name}.desktop
%__rm -f %{buildroot}/%{_datadir}/%{name}/cleaners/deepscan.xml



%find_lang %{name}

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_desktopdir}/%{name}-root.desktop
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}-root.png
%exclude %{_datadir}/%{name}/Windows.py*

%changelog
* Tue Apr 25 2017 adrianomorselli <adrianomorselli> 1.12-2uplos2017
- adjust desktop files
